package org.pwte.example.domain;

import java.io.Serializable;
import java.util.Set;

public class ResidentialCustomer extends AbstractCustomer implements Serializable {
	private static final long serialVersionUID = -8233689603226041269L;
	protected short householdSize;
	protected boolean frequentCustomer;
	
	public ResidentialCustomer(){super();}
	
	public ResidentialCustomer(short householdSize, boolean frequentCustomer, String name, Order openOrder, Set<Order> orders) {
		super(name, openOrder, orders);
		this.householdSize = householdSize;
		this.frequentCustomer = frequentCustomer;
	}
	public int getCustomerId() {return customerId;}
	public void setCustomerId(int customerId) {this.customerId = customerId;}
	public String getName() {return name;}
	public void setName(String name) {this.name = name;}
	public Order getOpenOrder() {return openOrder;}
	public void setOpenOrder(Order openOrder) {this.openOrder = openOrder;}
	public Set<Order> getOrders() {return orders;}
	public void setOrders(Set<Order> orders) {this.orders = orders;}
	public short getHouseholdSize() {return householdSize;}
	public void setHouseholdSize(short householdSize) {this.householdSize = householdSize;}
	public boolean isFrequentCustomer() {return frequentCustomer;}
	public void setFrequentCustomer(boolean frequentCustomer) {this.frequentCustomer = frequentCustomer;}
}
