package org.pwte.example.domain.tests;

import java.math.BigDecimal;

import org.hibernate.classic.Session;
import org.pwte.example.domain.Product;
import org.pwte.example.hibernate.HibernateUtil;

import junit.framework.TestCase;

public class ProductTest extends TestCase {

	protected void setUp() throws Exception {
		super.setUp();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testAddProduct() {
		Product sample = new Product(45, new BigDecimal(1.99), "Energizer D Cell Battery");
		
		int sku = 45;
		Session session = HibernateUtil.getSessionFactory().getCurrentSession();
		session.beginTransaction();
		
		session.save(sample);
		
		Product secondSample = (Product) session.load(Product.class, new Integer(sku));

		ProductTest.assertEquals(sample, secondSample);
		
		session.delete(secondSample);
		
		session.getTransaction().commit();

	}

}
