package org.pwte.example.domain;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

public abstract class AbstractCustomer implements Serializable {
	
	protected int customerId;
	
	protected String name;
	
	protected String type;
	
	protected Order openOrder;
	
	
	protected List orders;

	public AbstractCustomer(){}
	
	public AbstractCustomer(String name, Order openOrder, List orders) {
		super();
		this.name = name;
		this.openOrder = openOrder;
		this.orders = orders;
	}
	
	public int getCustomerId() {return customerId;}
	public void setCustomerId(int customerId) {this.customerId = customerId;}
	public String getName() {return name;}
	public void setName(String name) {this.name = name;}
	
	
	public Order getOpenOrder() {return openOrder;}
	public void setOpenOrder(Order openOrder) {this.openOrder = openOrder;}
	public List getOrders() {return orders;}
	public void setOrders(List orders) {this.orders = orders;}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

}
