package org.pwte.example.domain;

import java.io.Serializable;
import java.math.BigDecimal;


public class LineItem implements Serializable {
	private static final long serialVersionUID = -5969434202374976648L;
	
	protected long quantity;
	
	protected BigDecimal amount;
	
	
	protected Product product;
	
	public LineItem(){super();}
	
	public LineItem(long quantity, BigDecimal amount, Product product) {
		super();
		this.quantity = quantity;
		this.amount = amount;
		this.product = product;
	}
	public BigDecimal getAmount() {return amount;}
	public void setAmount(BigDecimal amount) {this.amount = amount;}
	public Product getProduct() {return product;}
	public void setProduct(Product product) {this.product = product;}
	public long getQuantity() {return quantity;}
	public void setQuantity(long quantity) {this.quantity = quantity;}
}
