package org.pwte.example.domain;

import java.io.Serializable;
import java.math.BigDecimal;

import com.ibm.pdq.annotation.Column;
import com.ibm.pdq.annotation.Id;
import com.ibm.pdq.annotation.Table;

@Table(name="PRODUCT")
public class Product implements Serializable {
	private static final long serialVersionUID = 2435504714077372968L;
	
	@Id
	@Column(name="PRODUCT_ID")
	protected int productId;
	
	@Column(name="PRICE")
	protected BigDecimal price;
	
	@Column(name="DESCRIPTION")
	protected String description;
	
	public Product(){super();}
	
	public Product(int productId, BigDecimal price, String description) {
		super();
		this.productId = productId;
		this.price = price;
		this.description = description;
	}
	
	public String getDescription() {return description;}
	public void setDescription(String description) {this.description = description;}
	public BigDecimal getPrice() {return price;}
	public void setPrice(BigDecimal price) {this.price = price;}
	public int getProductId() {return productId;}
	public void setProductId(int productId) {this.productId = productId;}
}
