package org.pwte.example.domain;

import java.io.Serializable;

public class LineItemId implements Serializable{

	private static final long serialVersionUID = 4790624621686438011L;
	public int productId;
	public int orderId;
	
	public LineItemId() {
		super();
	}
	
	public LineItemId(int orderId, int productId) {
		this.orderId=orderId;
		this.productId=productId;
	}
	
	public int getProductId() {
		return productId;
	}
	public void setProductId(int lineId) {
		this.productId = lineId;
	}
	public int getOrderId() {
		return orderId;
	}
	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}
	
	public boolean equals(Object anObject) {
		if (anObject instanceof LineItemId) {
			LineItemId other = (LineItemId) anObject;
			if ((other.productId == productId) && 
    (other.orderId == orderId))
				return true;
		}
		return false;
	}	
}
