package org.pwte.example.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Set;



public class Order implements Serializable {
	private static final long serialVersionUID = 7779370942277849463L;
	
	protected int orderId;
	
	protected BigDecimal total;
	
	
	public static enum Status { OPEN, SUBMITTED, CLOSED }
	
	protected Status status;
	protected AbstractCustomer customer;
	
	protected List lineitems;

	public AbstractCustomer getCustomer() {return customer;}
	public void setCustomer(AbstractCustomer customer) {this.customer = customer;}
	public List getLineitems() {return lineitems;}
	public void setLineitems(List lineitems) {this.lineitems = lineitems;}
	public int getOrderId() {return orderId;}
	public void setOrderId(int orderId) {this.orderId = orderId;}
	
	public Status getStatus() {return status;}
	
	public void setStatus(Status status) 
	{
		this.status = status;	
	}
	
	
	public BigDecimal getTotal() {return total;}
	public void setTotal(BigDecimal total) {this.total = total;}
}
