package org.pwte.example.domain;

import java.io.Serializable;
import java.util.Set;

public abstract class AbstractCustomer implements Serializable {
	protected int customerId;
	protected String name;
	protected Order openOrder;
	protected Set<Order> orders;

	public AbstractCustomer(){}
	
	public AbstractCustomer(String name, Order openOrder, Set<Order> orders) {
		super();
		this.name = name;
		this.openOrder = openOrder;
		this.orders = orders;
	}
	
	abstract public int getCustomerId();
	abstract public void setCustomerId(int customerId);
	abstract public String getName();
	abstract public void setName(String name);
	abstract public Order getOpenOrder();
	abstract public void setOpenOrder(Order openOrder);
	abstract public Set<Order> getOrders();
	abstract public void setOrders(Set<Order> orders);

}
