package org.pwte.example.domain;

import java.io.Serializable;
import java.util.Set;

public class BusinessCustomer extends AbstractCustomer implements Serializable {
	private static final long serialVersionUID = -1210978439928403907L;
	protected boolean volumeDiscount, businessPartner;
	protected String description;
	
	public BusinessCustomer(){super();}
	
	public BusinessCustomer(boolean volumeDiscount, boolean businessPartner, String description, String name, Order openOrder, Set<Order> orders) {
		super(name, openOrder, orders);
		this.volumeDiscount = volumeDiscount;
		this.businessPartner = businessPartner;
		this.description = description;
	}
	
	public boolean isBusinessPartner() {return businessPartner;}
	public void setBusinessPartner(boolean businessPartner) {this.businessPartner = businessPartner;}
	public String getDescription() {return description;}
	public void setDescription(String description) {this.description = description;}
	public boolean isVolumeDiscount() {return volumeDiscount;}
	public void setVolumeDiscount(boolean volumeDiscount) {this.volumeDiscount = volumeDiscount;}
	public int getCustomerId() {return customerId;}
	public void setCustomerId(int customerId) {this.customerId = customerId;}
	public String getName() {return name;}
	public void setName(String name) {this.name = name;}
	public Order getOpenOrder() {return openOrder;}
	public void setOpenOrder(Order openOrder) {this.openOrder = openOrder;}
	public Set<Order> getOrders() {return orders;}
	public void setOrders(Set<Order> orders) {this.orders = orders;}
}
